## firebird3.0 3.0.0~svn+53030.ds3

=== debian/changelog ===
firebird3.0 (3.0.0~svn+53030.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * drop unused patches (kfreebsd fix and nice compiler messages)
  * update copyright summary
  * refresh no-binary-gbaks.patch to apply cleanly
  * describe two new symbols in libfbclient2

 -- Damyan Ivanov <dmn@debian.org>  Sun, 29 May 2011 13:03:07 +0300

firebird3.0 (3.0.0~svn+52872.ds3-1) experimental; urgency=low

  * New upsream SVN snapshot

  * patchworks:
    + rework semaphore permissions patch
    + dtop trim-cflags.patch (applied upstream)
    + disable fix_kfreebsd_amd64_miscompile.patch
    + no-spurious-linkage.patch: -ldl only where needed
    + added out/no-copy-from-icu.patch removing emnedded ICU code from isql
      linking instead
  * pack-upstream-snapshot: drop date from version
  * tighten firebird-dev dependency on libib-util
  * update copyright summary
  * move libfbintl.so from -common to -server
    Avoids circular dependency between libfbclient2 and -common. Thanks,
    lintian!
  * -common is now Arch:all
  * drop Conflicts with ancient firebird2-* packages
  * add Conflicts with still current -server-common and -common packages
  * Claim conformance with Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Wed, 04 May 2011 21:50:56 +0300

firebird3.0 (3.0.0~svn20110323r52594.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * update copyright/licensing summary
  * patchworks:
    + drop s390_targets.patch
    + adapt/refresh the rest
    + disale nice-compiler-msg.patch
  * make_packages: do not create empty usr/lib/firebird/3.0/lib directory in
    -server. thanks, lintian

 -- Damyan Ivanov <dmn@debian.org>  Wed, 23 Mar 2011 23:01:25 +0200

firebird3.0 (3.0.0~svn20110213r52346.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * remove alternative dependency on cdebconf it is priority:extra and
    we want to stay priority:optional

 -- Damyan Ivanov <dmn@debian.org>  Sun, 13 Feb 2011 16:18:39 +0200

firebird3.0 (3.0.0~svn20110113r52113.ds3-1) experimental; urgency=low

  * New upsream SVN snapshot

  * copyright: drop three files gone upstream

 -- Damyan Ivanov <dmn@debian.org>  Fri, 14 Jan 2011 11:02:58 +0200

firebird3.0 (3.0.0~svn20101218r52055.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * make nice-compiler-msg.patch a bit less intrusive
  * out/s390_targets.patch is forwarded
  * no-binary-metadata.gbak.patch is forwarded

 -- Damyan Ivanov <dmn@debian.org>  Sat, 18 Dec 2010 21:21:38 +0200

firebird3.0 (3.0.0~svn20101206r52030.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * move s390_targets.patch to out/
  * remove mention of using packaged ICU
  * copyright: drop a couple of files removed upstream
  * refresh patches to apply cleanly

 -- Damyan Ivanov <dmn@debian.org>  Sun, 12 Dec 2010 17:19:45 +0200

firebird3.0 (3.0.0~svn20101120r51946.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot

  * patches:
    + series: drop (commented) references to dropped patches
    + split no-binary-metadata.gbak.patch out of no-binary-gbaks.patch. It
      could be forwarded upstream
    + drop out/customizable-log-filename.patch; applied upstream
    + one hunk from no-spurious-linkage.patch applied upstream
  * control: fix bad punctiation in -server description
  * control: do not refer to non-existing -superclassic in -common-doc
    description

 -- Damyan Ivanov <dmn@debian.org>  Sat, 20 Nov 2010 16:57:59 +0200

firebird3.0 (3.0.0~svn20101108r51857.ds3-1) experimental; urgency=low

  * New upstream SVN snapshot
  * drop default-rpath.patch; applied upstream
  * re-enable nice-compiler-msg.patch
  * try to streamline nice-compiler-msg.patch
  * prune README.Debian: there are no static libraries anymore
  * prune README.Debian: SQLDA_DISPLAY isql option is available upstream
  * rules: drop useless --disable-static
  * drop unused link_atomic_ops.patch
  * drop unused no-static-linkage.patch
  * remove $(THR_LIBS) from no-spurious-linkage.patch
  * improve comments in libib-util lintian override
  * drop unussed firebird-utils.{manpages,wrapper}
  * drop obsolete superclassic.lintian-overrides
  * rename .xinetd file and improve comments

 -- Damyan Ivanov <dmn@debian.org>  Mon, 08 Nov 2010 16:19:31 +0200

firebird3.0 (3.0.0~svn20101025r51765.ds3-1) experimental; urgency=low

  * Initial upload of Firebird 3.0, based on firebird2.5
    Closes: #600460 (ITP)

  * prune 2.5 changelog entries
  * watch: track 3.0 releases, prereleases and snapshots
  * repack.sh: adapt to 3.0
  * package simplified thanks to upstream unifying architectures. We now have a
    single -server package and a separate -utils one (see #568089)
  * fbstat manual page rewritten in POD
  * reorganize patches; forward some upstream
  * control: I am the only uploader (since a loong time)
  * remove any references to gdef (gone upstream)
  * libfbclient2.symbols: tag internal symbols as (optional)
  * improved debian/copyright_check.pl
  * update debian/copyright; no surprises
  * debian/pack-upstream-snapshot.sh -- a new script for packaging upstream
    snapshots
  * -server.postrm: delete password database unconditionally on purge
  * control: drop Conflicts/Provices: firebird-udf
  * debian/repack.sh: remove binary .gbak files
  * add no-binary-gbak.patch -- builds metadata.fdb from src/dbs/metadata.sql
    and removes qli and help.fdb from the build (because of missing source of
    help.fdb)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 25 Oct 2010 17:21:43 +0300
