=== debian/control ===
Source: firebird3.0
Section: database
Priority: optional
Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>
Build-Depends: 
 autoconf,
 automake,
 bison,
 debhelper (>= 7),
 docbook-to-man,
 gawk,
 libatomic-ops-dev (>= 1.2+cvs20091005),
 libedit-dev,
 libicu-dev,
 libtool,
 po-debconf
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-firebird/3.0.git
Vcs-Browser: http://git.debian.org/?p=pkg-firebird/3.0.git;a=summary
Homepage: http://firebirdsql.org/

Package: firebird3.0-server
Architecture: any
Provides: firebird-server
Conflicts: firebird-server,
 firebird2.5-server-common,
 firebird2.1-super, firebird2.1-classic, firebird2.1-server-common,
 firebird2.0-classic, firebird2.0-super, firebird2.0-server-common
Depends: adduser, ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
 firebird3.0-utils (= ${binary:Version}),
 lsb-base, ${misc:Depends}, debconf (>= 1.4.69),
 firebird3.0-common-doc (= ${source:Version})
Recommends: libib-util
Suggests: firebird3.0-doc
Description: Firebird Server - an RDBMS based on InterBase 6.0 code
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains the server binary as well as its configuration files.
 The default mode of operation is the so called "superclassic", which is a
 multi-threaded server -- each connection starts a separate thread and each
 connection has its own page cache. The two other operation modes -- "classic"
 (separate process/cache for each connection; started from the internet
 super-server inetd or xinetd) and "super" (single-threaded server process with
 shared cache beteen connections) are also available via configuration options.
 .
 This package contains the 3.0 branch of Firebird and is meant for the
 experimental Debian distribution, due to the high pace of ongoing upstream
 development. Its goal is to provide easy testing of the new features of
 Firebird and to have early exposure of the packaging helping to discover any
 problems.
 .
 Be aware that the ODS (on-disk structure) hasn't been finalized yet, so
 databases could be incompatible between different package versions and you'll
 have to either recreate them or migrate them via backup/restore.

Package: firebird3.0-utils
Architecture: any
Provides: firebird-utils
Conflicts: firebird-utils, firebird2.5-common,
 firebird2.1-super, firebird2.1-classic, firebird2.1-common,
 firebird2.0-classic, firebird2.0-super, firebird2.0-common
Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
 ${misc:Depends}, 
 firebird3.0-common-doc (= ${source:Version})
Suggests: firebird3.0-doc
Description: Firebird user utilities
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains the utilities for managing firebird servers:
  * isql-fb -- interactive console (original name isql)
  * gbak -- backup and restore databases
  * gfix -- check and repair databases
  * gsec -- manage users and roles
  * fbstat -- analyze databases (original name gstat)
  * nbackup -- incremental backup and file-level copy
  * gpre -- preprocess sources with embedded SQL

Package: libfbclient2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
 ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Description: Firebird client library
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains the client library required to connect to Firebird. It
 works with Firebird and commercial InterBase servers.
 .
 It uses TCP to connect to remote databases and file-level access for local
 databases.

Package: libib-util
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Description: Firebird UDF support library
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 libib_util contains utility functions used by User-Defined Functions (UDF) for
 memory management etc.

Package: firebird3.0-common
Architecture: all
Depends: ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Description: common files for firebird 3.0 server, client and utilities
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains files common firebird server, client and user utilities.
 .
 These include the message file (firebird.msg), support scripts as well as
 configuration files in /etc/firebird/3.0.
 .
 Please refer to the firebird3.0-server or firebird3.0-utils packages for more
 information about Firebird in general.

Package: firebird-dev
Section: libdevel
Architecture: all
Conflicts: firebird2-dev, firebird2.0-dev, firebird2.1-dev, firebird2.5-dev
Replaces: firebird2-dev, firebird2.0-dev, firebird2.1-dev, firebird2.5-dev
Depends: libfbclient2 (>= ${source:Version}),
 libib-utili (>= ${source:Version}),
 ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Suggests: firebird3.0-examples
Description: Development files for Firebird
 This package contains C header files for Firebird. They are useful if you
 compile programs that use the firebird client to talk to firebird servers.
 .
 Please refer to the firebird3.0-server and firebird3.0-utils packages for
 more information about Firebird in general.

Package: firebird3.0-examples
Section: doc
Architecture: all
Depends: ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Recommends: firebird3.0-dev
Description: Examples for Firebird - an RDBMS based on InterBase 6.0 code
 The examples included in this package are provided as samples and are also
 used by Firebird's testing suite (TCS). The examples are in the form
 of .h, .c, .e, .fdb and .gbk files.
 .
 Please refer to the firebird3.0-server and firebird3.0-utils packages for
 more information about Firebird in general.

Package: firebird3.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Description: Documentation files for firebird database version 3.0
 Various documents for firebird 3.0. These include the release notes, what's
 new in firebird 3.0, quick start guide, upgrade guide, list of ISQL
 enhancements etc.

Package: firebird3.0-common-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: copyright, licnesing and changelogs of firebird3.0
 This package contains the copyright and licensing information of firebird3.0,
 as well as the upstream changelog.
 .
 Due to the size of the upstream change log and copyright/licensing summary,
 keeping them in a separate package saves space on mirrors and when installing
 firebird3.0 packages.
 .
 Please refer to the firebird3.0-server or firebird3.0-utils packages for more
 information about Firebird database in general.

Package: firebird3.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version}),
 firebird3.0-server (= ${binary:Version}) | firebird3.0-utils (= ${binary:Version}) | libfbclient2 (= ${binary:Version})
Provides: firebird-dbg
Conflicts: firebird-dbg
Description: collected debug symbols for firebird3.0
 This package contains extracted debug symbols for firebird3.0 server, client
 library and user utilities, which are stripped from the other packages. Debug
 symbols are useful when tracing a problem like a segmentation fault in some
 firebird binary.
