## firebird3.0 3.0.1.32609.ds4

=== debian/changelog ===
firebird3.0 (3.0.1.32609.ds4-14) unstable; urgency=high

  * Apply commit 56e9a73c168 from upstream B3_0_Release branch
    fixing authenticated remote execution vulnerability (CVE-2017-6369,
    CORE-5474)
    Closes: #858644

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 Mar 2017 16:07:07 +0000

firebird3.0 (3.0.1.32609.ds4-13) unstable; urgency=medium

  * Add Danish debconf translation by Joe Dalton (Closes: #850854)
  * Added patch from upstream B3_0_Release branch fixing a rare segfault
    during engine unload (Closes: #846392)
  * Revert "rules: make the sample table browsing failures non-fatal"

 -- Damyan Ivanov <dmn@debian.org>  Sat, 14 Jan 2017 15:56:28 +0000

firebird3.0 (3.0.1.32609.ds4-12) unstable; urgency=medium

  * Drop the PIDFile= line from firebird3.0.service
  * rules: invoke dh_systemd_enable to enable the firebird3.0 service upon
    -server package installation

 -- Damyan Ivanov <dmn@debian.org>  Tue, 06 Dec 2016 19:26:44 +0000

firebird3.0 (3.0.1.32609.ds4-11) unstable; urgency=medium

  * Revert "Change runtime directory from /var/run/firebird3.0 to
    /var/run/firebird/3.0"
  * functions.sh: RUN="/var/run/firebird3.0"  (no sub-dir)
  * rules: make the sample table browsing failures non-fatal

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Nov 2016 21:02:33 +0000

firebird3.0 (3.0.1.32609.ds4-10) unstable; urgency=medium

  * Change default bind address from '[::1]' to 'localhost'
  * Change runtime directory from /var/run/firebird3.0 to
    /var/run/firebird/3.0

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Nov 2016 08:24:29 +0000

firebird3.0 (3.0.1.32609.ds4-9) unstable; urgency=medium

  * quote all strings in debian/make_packahes.sh
  * make the server listen only on the loopback interface by default

 -- Damyan Ivanov <dmn@debian.org>  Fri, 11 Nov 2016 08:56:40 +0000

firebird3.0 (3.0.1.32609.ds4-8) unstable; urgency=medium

  * rewrite manuals of isql-fb, gbak, gfix and gsec from SGML to POD
  * drop the manual of qli, which is not part of Firebird anymore
  * drop docbook-to-man from build-dependencies, no longer used
  * add --with-bin=/usr/bin flag to configure invocation
    makes fb_config --bindir match the reality
  * add manual for fb_config

 -- Damyan Ivanov <dmn@debian.org>  Thu, 20 Oct 2016 08:07:06 +0000

firebird3.0 (3.0.1.32609.ds4-7) unstable; urgency=medium

  * remove debian/fdb-r15y-prune.d on clean
  * rules: use := where possible
  * rules: rearrange targets and stamps to avoid touching build-stamp when
    satisfying the binary target
  * rules: enable raw device support only on linux
    Fixes FTBFS on kfreebsd
  * add patch by John Paul Adrian Glaubitz fixing garbage output by gpre and
    isql caused by linkage issues on mips64el, alpha and m68k
    (Closes: #840666)
  * Add patch by John Paul Adrian Glaubitz adding support for m68k
    (Closes: #840684)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 13 Oct 2016 20:31:51 +0000

firebird3.0 (3.0.1.32609.ds4-6) unstable; urgency=medium

  * add RuntimeDirectory= to server's service files
    fixes firebird3.0-server startup errors
  * use and build-depend on 'rename' package instead of perl-provided prename
  * temporary directory is /tmp/firebird
  * doc-base: let all Titles start with 'Firebird 3.0'
  * doc-base: include all text docs
  * turn echo on when verifying pruned database

 -- Damyan Ivanov <dmn@debian.org>  Wed, 12 Oct 2016 08:57:51 +0000

firebird3.0 (3.0.1.32609.ds4-5) unstable; urgency=medium

  * Verify and apply suggestions from the multi-arch hinter
    -doc and -examples become M-A: foreign
    -server-core becomes M-A: same
  * build fdb-r15y-prune with a separate Makefile
    this allows including compiler flags from gen/make.platform without
    parsing its content by hand, which was broken on some architectures due
    to unexpected content
  * test resulting example database after pruning

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Oct 2016 08:54:46 +0000

firebird3.0 (3.0.1.32609.ds4-4) unstable; urgency=medium

  * symlink stuff in /usr/lib/<triplet>/firebird/3.0 to match fb_config output
  * Mark firebird3.0-common as Multi-Arch: foreign

 -- Damyan Ivanov <dmn@debian.org>  Mon, 10 Oct 2016 10:08:12 +0000

firebird3.0 (3.0.1.32609.ds4-3) unstable; urgency=medium

  * Add Multi-Arch headers to libfbclient2, libib-util and
    firebird3.0-common-doc
  * integrate fdb-r15y-prune from 2.5
    + compare DB ODS version with the one the tool is compiled against, not a
      fixed number
    + reset pag_generation (last changing transaction ID) and pag_reserved for
      all page types
    + more information about data pages
  * Upload to unstable

 -- Damyan Ivanov <dmn@debian.org>  Fri, 07 Oct 2016 07:00:01 +0000

firebird3.0 (3.0.1.32609.ds4-2) experimental; urgency=medium

  * d/rules: call configure with arch-specific --prefix
  * d/rules: build --with-fbconf=${ULFB} and symlink *.conf there
    ($ULFB = /usr/lib/<triplet>/firebird/3.0)
  * d/rules: rely on the environment for passing compiler flags
  * add compiler flags to make the build pass with gcc6
    -std=gnu++98
    -fno-lifetime-dse
    -fno-delete-null-pointer-checks
    -fno-strict-aliasing
  * amend honour-buildflags.patch to add CFLAGS when building btyacc
  * use proper versioned dependency on lsb-base for /lib/lsb/init-functions
    (thanks, lintian)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Oct 2016 11:00:35 +0000

firebird3.0 (3.0.1.32609.ds4-1) experimental; urgency=medium

  * remove symlinks in /usr/lib/firebird/3.0
    instead of mimicking a "standard layout" under /usr/lib/firebird/3.0
    (a non-standard location to begin with), rely on fb_config telling
    potential users where things are.
    As a side effect Closes: #838365 -- broken symlink to aliases.conf
    (and aliases.conf is gone in 3.0 anyway)
  * adopt multi-arch paths under /usr/lib
  * New upstream version 3.0.1.32609.ds4
    + drop two files from d/copyright, gone upstream
    + drop three patches released upstream

