=== debian/control ===
--- 
+++ 
@@ -7,19 +7,44 @@
  autoconf,
  automake,
  bison,
- debhelper (>= 7),
- docbook-to-man,
+ debhelper (>= 9.20151219~),
+ debhelper (>= 9.20160709~) | dh-systemd,
  gawk,
  libatomic-ops-dev (>= 1.2+cvs20091005),
+ libboost-dev,
  libedit-dev,
  libicu-dev,
+ libtommath-dev,
  libtool,
- po-debconf
+ po-debconf,
+ procmail,
+ rename,
+ zlib1g-dev,
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-firebird/3.0.git
-Vcs-Browser: http://git.debian.org/?p=pkg-firebird/3.0.git;a=summary
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-firebird/3.0.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-firebird/3.0.git
 Homepage: http://firebirdsql.org/
+
+Package: firebird3.0-server-core
+Architecture: any
+Multi-Arch: same
+Breaks: firebird3.0-server (<< 3.0.0.32483.ds4-6~)
+Replaces: firebird3.0-server (<< 3.0.0.32483.ds4-6~)
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ firebird3.0-common (= ${source:Version}),
+ firebird3.0-common-doc (= ${source:Version})
+Suggests: firebird3.0-server
+Description: Firebird Server - engine core
+ Firebird is a relational database offering many ANSI SQL-99 features that
+ runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
+ excellent concurrency, high performance, and powerful language support
+ for stored procedures and triggers. It has been used on production systems
+ under a variety of names since 1981.
+ .
+ This package contains the server engine and support libraries. The rest of
+ the binaries needed for running a full-featured firebird server are in the
+ firebird3.0-server package.
 
 Package: firebird3.0-server
 Architecture: any
@@ -27,10 +52,11 @@
 Conflicts: firebird-server,
  firebird2.5-server-common,
  firebird2.1-super, firebird2.1-classic, firebird2.1-server-common,
- firebird2.0-classic, firebird2.0-super, firebird2.0-server-common
 Depends: adduser, ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
+ firebird3.0-server-core (= ${binary:Version}),
  firebird3.0-utils (= ${binary:Version}),
- lsb-base, ${misc:Depends}, debconf (>= 1.4.69),
+ lsb-base (>= 3.0-6),
+ ${misc:Depends}, debconf (>= 1.4.69),
  firebird3.0-common-doc (= ${source:Version})
 Recommends: libib-util
 Suggests: firebird3.0-doc
@@ -47,24 +73,15 @@
  connection has its own page cache. The two other operation modes -- "classic"
  (separate process/cache for each connection; started from the internet
  super-server inetd or xinetd) and "super" (single-threaded server process with
- shared cache beteen connections) are also available via configuration options.
- .
- This package contains the 3.0 branch of Firebird and is meant for the
- experimental Debian distribution, due to the high pace of ongoing upstream
- development. Its goal is to provide easy testing of the new features of
- Firebird and to have early exposure of the packaging helping to discover any
- problems.
- .
- Be aware that the ODS (on-disk structure) hasn't been finalized yet, so
- databases could be incompatible between different package versions and you'll
- have to either recreate them or migrate them via backup/restore.
+ shared cache between connections) are also available via configuration options.
 
 Package: firebird3.0-utils
 Architecture: any
 Provides: firebird-utils
-Conflicts: firebird-utils, firebird2.5-common,
+Conflicts: firebird-utils,
+ firebird2.5-common, firebird2.5-server-common,
  firebird2.1-super, firebird2.1-classic, firebird2.1-common,
- firebird2.0-classic, firebird2.0-super, firebird2.0-common
+ firebird2.5-super, firebird2.5-classic-common
 Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
  ${misc:Depends}, 
  firebird3.0-common-doc (= ${source:Version})
@@ -88,6 +105,7 @@
 Package: libfbclient2
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
  ${misc:Depends},
  firebird3.0-common-doc (= ${source:Version})
@@ -98,15 +116,12 @@
  for stored procedures and triggers. It has been used on production systems
  under a variety of names since 1981.
  .
- This package contains the client library required to connect to Firebird. It
- works with Firebird and commercial InterBase servers.
- .
- It uses TCP to connect to remote databases and file-level access for local
- databases.
+ This package contains the client library required to connect to Firebird.
 
 Package: libib-util
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
  firebird3.0-common-doc (= ${source:Version})
 Description: Firebird UDF support library
@@ -121,6 +136,7 @@
 
 Package: firebird3.0-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  firebird3.0-common-doc (= ${source:Version})
 Description: common files for firebird 3.0 server, client and utilities
@@ -132,19 +148,19 @@
  .
  This package contains files common firebird server, client and user utilities.
  .
- These include the message file (firebird.msg), support scripts as well as
- configuration files in /etc/firebird/3.0.
+ These include the support scripts as well as configuration files in
+ /etc/firebird/3.0.
  .
  Please refer to the firebird3.0-server or firebird3.0-utils packages for more
  information about Firebird in general.
 
 Package: firebird-dev
 Section: libdevel
-Architecture: all
-Conflicts: firebird2-dev, firebird2.0-dev, firebird2.1-dev, firebird2.5-dev
-Replaces: firebird2-dev, firebird2.0-dev, firebird2.1-dev, firebird2.5-dev
+Architecture: any
+Conflicts: firebird2-dev, firebird2.1-dev, firebird2.5-dev
+Replaces: firebird2-dev, firebird2.1-dev, firebird2.5-dev
 Depends: libfbclient2 (>= ${source:Version}),
- libib-utili (>= ${source:Version}),
+ libib-util (>= ${source:Version}),
  ${misc:Depends},
  firebird3.0-common-doc (= ${source:Version})
 Suggests: firebird3.0-examples
@@ -158,6 +174,7 @@
 Package: firebird3.0-examples
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  firebird3.0-common-doc (= ${source:Version})
 Recommends: firebird3.0-dev
@@ -172,6 +189,7 @@
 Package: firebird3.0-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  firebird3.0-common-doc (= ${source:Version})
 Description: Documentation files for firebird database version 3.0
@@ -182,8 +200,9 @@
 Package: firebird3.0-common-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Description: copyright, licnesing and changelogs of firebird3.0
+Description: copyright, licensing and changelogs of firebird3.0
  This package contains the copyright and licensing information of firebird3.0,
  as well as the upstream changelog.
  .
@@ -193,18 +212,3 @@
  .
  Please refer to the firebird3.0-server or firebird3.0-utils packages for more
  information about Firebird database in general.
-
-Package: firebird3.0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends},
- firebird3.0-common-doc (= ${source:Version}),
- firebird3.0-server (= ${binary:Version}) | firebird3.0-utils (= ${binary:Version}) | libfbclient2 (= ${binary:Version})
-Provides: firebird-dbg
-Conflicts: firebird-dbg
-Description: collected debug symbols for firebird3.0
- This package contains extracted debug symbols for firebird3.0 server, client
- library and user utilities, which are stripped from the other packages. Debug
- symbols are useful when tracing a problem like a segmentation fault in some
- firebird binary.
